/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableRelation.cpp
**
** Author : Satish Hota
**
** Description:
**    This file provides implementation for CDrawableRelation class.
**
** History:
** 27-Nov-01 Satish Hota
**     File Created. 
** 01-Dec-01 Satish Hota
**     Overrode the GetText method and wrote a tentative implementation.
** 02-Dec-01 Satish Hota
**     Modified implementation of GetText.
******************************************************************************/

#include "stdafx.h"
#include "ConGraT.h"
#include "DrawableRelation.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CDrawableRelation::CDrawableRelation()
{

}

CDrawableRelation::~CDrawableRelation()
{

}

long CDrawableRelation::GetText(std::string &rstrText)
{
	CRelationDefinition *pRelationDefinition = GetRelDef();

	if(pRelationDefinition)
	{
		rstrText = pRelationDefinition->GetTypeName();
	}
	else
	{
		CDrawableElement::GetText(rstrText);
	}

    return CG_S_OK;
}
